import { RequestConfigType, ResponseType, ResolveUrlConfigType } from "../types/HttpClients.types";
declare type ConfigOverrideType = RequestConfigType & ResolveUrlConfigType;
declare type DefaultConfigType = ConfigOverrideType & {
    lazy?: boolean;
    method?: 'post' | 'put' | 'patch' | 'delete' | 'get';
};
declare type ResultType = [((c?: ConfigOverrideType) => Promise<ResponseType>), boolean];
/**
 * Hook to allow execute delete requests, it uses as base the usePost hook
 * @author Alejandro <alejandro.devop@gmail.com>
 * @param path
 * @param config
 */
declare const useDelete: (path: string, config?: DefaultConfigType | undefined) => ResultType;
export default useDelete;
